Skip to main content

Convert a Document to Markdown

POST 

/api/v8/partner/parse

Veryfi's Document to Markdown endpoint allows you to convert a document to markdown and stores the result. The following document types are supported: .jpeg, .ofd, .bmp, .heic, .txt, .zip, .webp, .rtf, .doc, .eml, .html, .htm, .avif, .jpg, .png, .docx, .xls, .gif, .odt, .xlsx, .heif, .pdf, .csv. The max file size is 20mb, min file size is 0.25kb. Rate limit is 20 requests per second.

Request​

Body

    external_id (string | null)

    External reference ID for tracking.

    package_path (string | null)

    Possible values: non-empty

    A path to a file in an S3 bucket, e.g. 'some/receipt.jpg

    bucket (string | null)

    Possible values: non-empty

    An S3 bucket for 'package_path', e.g. 'documents'.

    file_data (string | null)

    Possible values: non-empty

    Used to upload a document via base64 encoded string, could be raw or data URI scheme. This is the least effective way to upload a document for processing. See file_urls or uploading zip files.

    file_url (string | null)

    Possible values: non-empty

    A URL to a publicly accessible document to be sent to Veryfi for processing.

    file_urls string[]

    Possible values: non-empty

    An array of URLs to publicly accessible documents to be sent to Veryfi for processing.

    file_name (string | null)

    Possible values: non-empty

    An optional filename. Useful to determine file type.

    details (boolean | null)

    A field used to determine whether or not to return bounding boxes along with markdown.

    document_type (string | null)

    Default value: document

    Type of document being converted (e.g., 'receipt', 'invoice', 'contract').

    tags string[]

    Tags to attach to the document.

    max_pages_to_process (integer | null)

    Possible values: >= 1 and <= 50

    Default value: 50

    Limit processing to number of pages.

Responses​

Returns the document to markdown result with database ID.

Schema
    id integerrequired

    The database ID of the markdown document

    markdown (string | null)required

    The markdown content of the converted document.

    pages object[]

    Page structures returned when details is true.

    document_type stringrequired

    Type of document

    external_id (string | null)

    External reference ID

    status stringrequired

    Processing status

    md_storage_path (string | null)

    S3 path to the markdown document

    pdf_url (string | null)

    S3 URL to the PDF file

    img_url (string | null)

    S3 URL to the image file

    created stringrequired

    Creation timestamp

    updated stringrequired

    Last update timestamp

    tags string[]

    Default value: ``

    Document tags

    meta DocumentToMarkdownMeta

    Meta information about the processed document.

    total_pages (integer | null)

    The total number of pages found in the submitted document.

    processed_pages (integer | null)

    The number of processed pages for the document. The default limit is 50 pages per document. Use max_pages_to_process on the POST request to lower the limit.

    pages object[]

    An array containing meta info about each processed page.

  • Array [
  • ocr_score (number | null)

    Possible values: <= 1

    The average OCR score of the page.

    width (integer | null)

    The width of the page.

    height (integer | null)

    The height of the page.

    is_blurry ClassNullableBoolField

    The processed page is blurry or not

    score (number | null)

    Possible values: <= 1

    The score shows how confident the model is that the predicted value belongs to the field. See confidence scores explained for more information.

    value (boolean | null)required

    The extracted value.

  • ]
  • source_documents object[]

    An array containing meta info about originally submitted documents.

  • Array [
  • size_kb (integer | null)required
    height (integer | null)required
    width (integer | null)required
    exif (object | null)

    EXIF data from the source document

  • ]
  • ocr_score (number | null)

    Possible values: <= 1

    The average OCR score of the whole document.

    original_file_name (string | null)

    Possible values: non-empty

    The original file name of the uploaded document.

    source string

    Possible values: [api.email, api.web, api, browser_extension, lens.bill, lens.invoice, lens.long_receipt, lens.other, lens.receipt, lens.web, lens]

    Default value: api

    The source of the document's submission for processing.

Loading...